List Audit Events
curl --request GET \
--url https://api.eesi.ai/v1/organizations/audit-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/organizations/audit-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/organizations/audit-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": 123,
"action": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"actor_user_id": 123,
"actor_api_key_id": 123,
"ip": "<string>",
"user_agent": "<string>",
"before": {},
"after": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
List Audit Events
This organization’s audit trail, newest first.
Who minted or archived an API key, cloned or destroyed a voice, changed a
telephony configuration, phone number or the model configuration — and
every time a superadmin
minted a playback URL to one of its recordings. Written by
api/services/audit_log.py; append-only at the database.
GET
/
v1
/
organizations
/
audit-events
List Audit Events
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0